import org.restlet.Component;
import org.restlet.data.Protocol;
import org.restlet.resource.ServerResource;
import org.restlet.routing.Router;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class RESTSchnittstelle  extends ServerResource {
    private static Connection datenbankVerbindung = null;

    public static void dbInitialisieren () {
        try {
            Statement statement = datenbankVerbindung.createStatement();
            String sql = "SELECT * FROM Personen";
            statement.execute(sql);
        } catch (java.sql.SQLSyntaxErrorException e) {
            try {
                Statement statement = datenbankVerbindung.createStatement();
                String sql = "CREATE TABLE Personen (Id INT, Vorname VARCHAR(255), Nachname VARCHAR(255), Strasse VARCHAR(255), Hausnummer INT, PLZ VARCHAR(255), Ort VARCHAR(255))";
                statement.execute(sql);
            } catch (SQLException ex) {
                ex.printStackTrace();
            }
        }
        catch (SQLException e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) throws ClassNotFoundException, SQLException {
        // Server-Konfiguration
        final Component component = new Component();
        component.getServers().add(Protocol.HTTP, 80);

        // Datenbankverbindung
        String driver = "org.apache.derby.jdbc.EmbeddedDriver";
        Class.forName(driver);
        String protocol = "jdbc:derby:";
        datenbankVerbindung = DriverManager.getConnection(protocol + "personenDatenbank;create=true");

        // Datenbank initialisieren
        dbInitialisieren();

        // Router
        final Router router = new Router(component.getContext().createChildContext());
        router.attach("/", new StartseitenHandler());
        router.attach("/person", new PersonHandler(datenbankVerbindung));
        component.getDefaultHost().attach(router);

        // Server starten
        try {
            component.start();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
